Validate Runtime Config
curl --request POST \
--url https://control-plane.kubiya.ai/api/v1/runtimes/validate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"runtime_type": "<string>",
"model_id": "<string>",
"agent_config": {},
"system_prompt": "<string>"
}
'import requests
url = "https://control-plane.kubiya.ai/api/v1/runtimes/validate"
payload = {
"runtime_type": "<string>",
"model_id": "<string>",
"agent_config": {},
"system_prompt": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
runtime_type: '<string>',
model_id: '<string>',
agent_config: {},
system_prompt: '<string>'
})
};
fetch('https://control-plane.kubiya.ai/api/v1/runtimes/validate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"valid": true,
"errors": [
"<string>"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Runtimes
Validate Runtime Config
Validate agent/team configuration for a specific runtime.
This endpoint checks if the provided configuration is compatible with the selected runtime, including model validation and required fields.
Use this before creating or updating agents to ensure compatibility.
POST
/
api
/
v1
/
runtimes
/
validate
Validate Runtime Config
Authorizations
Enter your Kubiya API token (format: Bearer )
Body
application/json
Was this page helpful?
⌘I